Fully retire MediaWiki "Donate" skin
Closed, ResolvedPublic1 Story Points

Description

The Donate mediawiki skin was created for the 2009 fundraiser. AFIK it's no longer user anywhere, but yesterday it came back to haunt CI. I think we can delete the repo. (The old code is still preserved for posterity in the obsolete /mediawiki/extensions/skins repo.)

AndyRussG updated the task description. (Show Details)
AndyRussG raised the priority of this task from to Needs Triage.
AndyRussG added a project: Fundraising-Backlog.
AndyRussG moved this task to Analysis on the Fundraising-Backlog board.
AndyRussG added a subscriber: AndyRussG.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 23 2016, 2:25 AM
AndyRussG updated the task description. (Show Details)Jan 23 2016, 2:31 AM
AndyRussG set Security to None.
AndyRussG edited a custom field.
AndyRussG added subscribers: Legoktm, dduvall.
awight renamed this task from Fully retire Donate skin to Fully retire MediaWiki "Donate" skin.Jan 26 2016, 8:20 PM

Hey @Pcoombe can you confirm that this is ok to delete? Seemingly hasn't been used since 2009 but looks like your domain.

DStrine moved this task from Sprint +2 to Q2 (Oct-Dec) 2017-18 on the Fundraising-Backlog board.
DStrine moved this task from Q2 (Oct-Dec) 2017-18 to FY 2017-18 on the Fundraising-Backlog board.
awight triaged this task as Normal priority.Jan 26 2016, 8:23 PM
awight added a subscriber: awight.

Yeah, I think this is safe to delete.

atgo removed a subscriber: atgo.Mar 30 2016, 10:06 PM

Change 358941 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Unconfigure mediawiki/skins/Donate

https://gerrit.wikimedia.org/r/358941

Mentioned in SAL (#wikimedia-releng) [2017-06-14T12:24:57Z] <hashar> gerrit: marked mediawiki/skins/Donate has read-only ( https://gerrit.wikimedia.org/r/#/admin/projects/mediawiki/skins/Donate ) - T124519

Change 358945 had a related patch set uploaded (by Hashar; owner: Hashar):
[mediawiki/skins@master] Unregister Donate

https://gerrit.wikimedia.org/r/358945

Change 358945 merged by Hashar:
[mediawiki/skins@master] Unregister Donate

https://gerrit.wikimedia.org/r/358945

Change 358941 merged by jenkins-bot:
[integration/config@master] Unconfigure mediawiki/skins/Donate

https://gerrit.wikimedia.org/r/358941

hashar added a subscriber: hashar.

I have:

  • marked the repository read-only in Gerrit
  • unconfigured it from CI
  • removed it from the meta repo mediawiki/skins.git

So I guess this task can be marked as resolved.

hashar moved this task from Bugs & stuff to Repo Admin on the Gerrit board.
hashar moved this task from Backlog to In-progress on the Release-Engineering-Team (Kanban) board.
hashar claimed this task.
hashar closed this task as Resolved.Jun 19 2017, 11:58 AM
mmodell removed a subscriber: awight.Jun 22 2017, 9:33 PM